Index: LMDZ5/trunk/libf/phylmd/1Dconv.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1Dconv.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1Dconv.h	(revision 2019)
@@ -758,14 +753,14 @@
        endif
       enddo
-c
-cc      if (play(klev) .le. playm(nblvlm)) then
-cc         mlz=nblvlm-1
-cc         JM(klev)=mlz
-cc         coef1(klev)=(playm(mlz+1)-val)
-cc     *            /(playm(mlz+1)-playm(mlz))
-cc         coef2(klev)=(val-playm(mlz))
-cc     *            /(playm(mlz+1)-playm(mlz))
-cc      endif
-c
+!
+!c      if (play(klev) .le. playm(nblvlm)) then
+!c         mlz=nblvlm-1
+!c         JM(klev)=mlz
+!c         coef1(klev)=(playm(mlz+1)-val)
+!c     *            /(playm(mlz+1)-playm(mlz))
+!c         coef2(klev)=(val-playm(mlz))
+!c     *            /(playm(mlz+1)-playm(mlz))
+!c      endif
+!
       print*,' '
       print*,'         INTERPOLATION  : '
@@ -776,28 +771,26 @@
       print*,(JM(k),k=1,klev)
       print*,' '
-      print*,'valeurs du premier coef d"interpolation pour les 9 niveaux
-     *: '
+      print*,'vals du premier coef d"interpolation pour les 9 niveaux: '
       print*,(coef1(k),k=1,klev)
       print*,' '
-      print*,'valeurs du deuxieme coef d"interpolation pour les 9 niveau
-     *x: '
+      print*,'valeurs du deuxieme coef d"interpolation pour les 9 niveaux:'
       print*,(coef2(k),k=1,klev)
-c
+!
       return
       end
       SUBROUTINE GETSCH(STR,DEL,TRM,NTH,SST,NCH)
-C***************************************************************
-C*                                                             *
-C*                                                             *
-C* GETSCH                                                      *
-C*                                                             *
-C*                                                             *
-C* modified by :                                               *
-C***************************************************************
-C*   Return in SST the character string found between the NTH-1 and NTH
-C*   occurence of the delimiter 'DEL' but before the terminator 'TRM' in
-C*   the input string 'STR'. If TRM=DEL then STR is considered unlimited.
-C*   NCH=Length of the string returned in SST or =-1 if NTH is <1 or if
-C*   NTH is greater than the number of delimiters in STR.
+!***************************************************************
+!*                                                             *
+!*                                                             *
+!* GETSCH                                                      *
+!*                                                             *
+!*                                                             *
+!* modified by :                                               *
+!***************************************************************
+!*   Return in SST the character string found between the NTH-1 and NTH
+!*   occurence of the delimiter 'DEL' but before the terminator 'TRM' in
+!*   the input string 'STR'. If TRM=DEL then STR is considered unlimited.
+!*   NCH=Length of the string returned in SST or =-1 if NTH is <1 or if
+!*   NTH is greater than the number of delimiters in STR.
       IMPLICIT INTEGER (A-Z)
       CHARACTER STR*(*),DEL*1,TRM*1,SST*(*)
@@ -811,5 +804,5 @@
           IF(LENGTH.LT.0) LENGTH=LEN(STR)
         ENDIF
-C*     Find beginning and end of the NTH DEL-limited substring in STR
+!*     Find beginning and end of the NTH DEL-limited substring in STR
         END=-1
         DO 1,N=1,NTH
@@ -818,5 +811,5 @@
         END=BEG+INDEX(STR(BEG:LENGTH),DEL)-2
         IF(END.EQ.BEG-2) END=LENGTH
-C*        PRINT *,'NTH,LENGTH,N,BEG,END=',NTH,LENGTH,N,BEG,END
+!*        PRINT *,'NTH,LENGTH,N,BEG,END=',NTH,LENGTH,N,BEG,END
     1   CONTINUE
         NCH=END-BEG+1
@@ -825,14 +818,14 @@
       END
       CHARACTER*(*) FUNCTION SPACES(STR,NSPACE)
-C
-C CERN PROGLIB# M433    SPACES          .VERSION KERNFOR  4.14  860211
-C ORIG.  6/05/86 M.GOOSSENS/DD
-C
-C-    The function value SPACES returns the character string STR with
-C-    leading blanks removed and each occurence of one or more blanks
-C-    replaced by NSPACE blanks inside the string STR
-C
+!
+! CERN PROGLIB# M433    SPACES          .VERSION KERNFOR  4.14  860211
+! ORIG.  6/05/86 M.GOOSSENS/DD
+!
+!-    The function value SPACES returns the character string STR with
+!-    leading blanks removed and each occurence of one or more blanks
+!-    replaced by NSPACE blanks inside the string STR
+!
       CHARACTER*(*) STR
-C
+!
       LENSPA = LEN(SPACES)
       SPACES = ' '
@@ -857,16 +850,16 @@
   999 END
       FUNCTION INDEXC(STR,SSTR)
-C
-C CERN PROGLIB# M433    INDEXC          .VERSION KERNFOR  4.14  860211
-C ORIG. 26/03/86 M.GOOSSENS/DD
-C
-C-    Find the leftmost position where substring SSTR does not match
-C-    string STR scanning forward
-C
+!
+! CERN PROGLIB# M433    INDEXC          .VERSION KERNFOR  4.14  860211
+! ORIG. 26/03/86 M.GOOSSENS/DD
+!
+!-    Find the leftmost position where substring SSTR does not match
+!-    string STR scanning forward
+!
       CHARACTER*(*) STR,SSTR
-C
+!
       LENS   = LEN(STR)
       LENSS  = LEN(SSTR)
-C
+!
       DO 10 I=1,LENS-LENSS+1
           IF (STR(I:I+LENSS-1).NE.SSTR) THEN
@@ -876,4 +869,4 @@
    10 CONTINUE
       INDEXC = 0
-C
+!
   999 END
Index: LMDZ5/trunk/libf/phylmd/compar1d.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/compar1d.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/compar1d.h	(revision 2019)
@@ -27,9 +27,9 @@
       logical :: ok_old_disvert
 
-      common/com_par1d/
+      common/com_par1d/                                                 &
      & nat_surf,tsurf,rugos,                                            &
      & qsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,    &
      & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
-     & forcing_type,
+     & forcing_type,                                                    &
      & restart,ok_old_disvert
 
Index: LMDZ5/trunk/libf/phylmd/fcg_gcssold.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/fcg_gcssold.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/fcg_gcssold.h	(revision 2019)
@@ -2,11 +2,11 @@
 ! $Id: fcg_gcssold.h 2010-08-10 17:02:56Z lahellec $
 !
-      logical :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,
-     $ Tp_ini_gcssold,
-     $ xTurb_fcg_gcssold
+      logical :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold
+      logical :: Tp_ini_gcssold
+      logical :: xTurb_fcg_gcssold
 
-      common /fcg_gcssold/imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,
-     $ Tp_ini_gcssold,
-     $ xTurb_fcg_gcssold
+      common /fcg_gcssold/imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,        & 
+     & Tp_ini_gcssold,                                                          &
+     & xTurb_fcg_gcssold
 
 !$OMP THREADPRIVATE(/fcg_gcssold/)
